package collaborators

type Collaborator struct {
	SpaceID string `bson:"spaceId"`
	Subject string `bson:"subject"`
	Role    string `bson:"role"`
}

func (c Collaborator) Clone() *Collaborator {
	return &Collaborator{
		SpaceID: c.SpaceID,
		Subject: c.Subject,
		Role:    c.Role,
	}
}

func (c *Collaborator) GetSpaceID() string {
	return c.SpaceID
}
